/* tslint:disable */
/* eslint-disable */
/**
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import {exists, mapValues} from '../runtime';
/**
 *
 * @export
 * @interface SendMessageResponse
 */
export interface SendMessageResponse {
  /**
   * Assigned message id
   * @type {string}
   * @memberof SendMessageResponse
   */
  assignedId: string;
  /**
   * Message status
   * @type {string}
   * @memberof SendMessageResponse
   */
  status: SendMessageResponseStatusEnum;
}

/**
 * @export
 */
export const SendMessageResponseStatusEnum = {
  Accepted: 'ACCEPTED',
  Failed: 'FAILED',
} as const;
export type SendMessageResponseStatusEnum =
  typeof SendMessageResponseStatusEnum[keyof typeof SendMessageResponseStatusEnum];

export function SendMessageResponseFromJSON(json: any): SendMessageResponse {
  return SendMessageResponseFromJSONTyped(json, false);
}

export function SendMessageResponseFromJSONTyped(
  json: any,
  ignoreDiscriminator: boolean
): SendMessageResponse {
  if (json === undefined || json === null) {
    return json;
  }
  return {
    assignedId: json['assignedId'],
    status: json['status'],
  };
}

export function SendMessageResponseToJSON(
  value?: SendMessageResponse | null
): any {
  if (value === undefined) {
    return undefined;
  }
  if (value === null) {
    return null;
  }
  return {
    assignedId: value.assignedId,
    status: value.status,
  };
}
